/* body {

    background-color: #fafafa;
    display: flex;
    align-items: center;
    justify-content: center;

    height: 100vh;
    margin: 0;
    transition: background o.2s linear;
} */

/* THEMA DARK */

body.dark {
    background: #232c35;
}

.dark-header {
    background-color: #223241;
    color: #fff;
}

.dark-footer {
    background-color: #223241;
    color: #fff;
}

.dark-footer a {
    color: #fff;
    /* Cor dos links no modo escuro */
}

.dark-intro {
    color: #fff;
    /* Cor dos links no modo escuro */
}

.dark-resume{
    color: #fff;
}

.dark-date{
    color: #fff;
    
}

/* continuar aqui */
.dark-title {  
 color: #fff;

} 

.dark-sobre{  
    color: #fff;
   
   } 

.dark-project-box {
    background-color: #002147; /* Azul marinho */
}

.dark-contact-info {
    background-color: #002147; /* Azul marinho */
}

.dark-featured-name {
    color: white;
}

.dark-github-icon img {
    filter: invert(1);
}

/* Invertendo a cor da imagem do GitHub no footer */
.dark-footer-github-icon img {
    filter: invert(1);
}



.checkbox {
    opacity: 0;
    position: absolute;
}

.dark-about-info {
    background-color: #002147; /* Azul marinho */
    color: white;
}

.label {
    background-color: #111;
    border-radius: 50px;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 5px;
    position: relative;
    height: 26px;
    width: 50px;

    transform: scale(1.5);
}


.label .ball {

    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;

    height: 22px;
    width: 22px;

    transform: translateX(0px);
    transition: transform 0.2s linear;
}

.checkbox:checked+.label .ball {
    transform: translateX(24px);
}

.fa-moon {
    color: #f1c40f;
}

.fa-sun {
    color: #f39c12;
}